package com.hai.dao;

import com.hai.entity.HighCompanyTwoPwd;
import com.hai.entity.HighCompanyTwoPwdExample;
import java.util.List;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.DeleteProvider;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.InsertProvider;
import org.apache.ibatis.annotations.Options;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Result;
import org.apache.ibatis.annotations.Results;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.SelectProvider;
import org.apache.ibatis.annotations.Update;
import org.apache.ibatis.annotations.UpdateProvider;
import org.apache.ibatis.type.JdbcType;
import org.springframework.stereotype.Repository;

/**
 * 
 * 代码由工具生成,请勿修改!!!
 * 如果需要扩展请在其父类进行扩展
 * 
 **/
@Repository
public interface HighCompanyTwoPwdMapper extends HighCompanyTwoPwdMapperExt {
    @SelectProvider(type=HighCompanyTwoPwdSqlProvider.class, method="countByExample")
    long countByExample(HighCompanyTwoPwdExample example);

    @DeleteProvider(type=HighCompanyTwoPwdSqlProvider.class, method="deleteByExample")
    int deleteByExample(HighCompanyTwoPwdExample example);

    @Delete({
        "delete from high_company_two_pwd",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int deleteByPrimaryKey(Long id);

    @Insert({
        "insert into high_company_two_pwd (company_id, org_id, ",
        "`password`, `status`, ",
        "create_time, update_time, ",
        "ext_1, ext_2, ext_3)",
        "values (#{companyId,jdbcType=BIGINT}, #{orgId,jdbcType=BIGINT}, ",
        "#{password,jdbcType=VARCHAR}, #{status,jdbcType=INTEGER}, ",
        "#{createTime,jdbcType=TIMESTAMP}, #{updateTime,jdbcType=TIMESTAMP}, ",
        "#{ext1,jdbcType=VARCHAR}, #{ext2,jdbcType=VARCHAR}, #{ext3,jdbcType=VARCHAR})"
    })
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insert(HighCompanyTwoPwd record);

    @InsertProvider(type=HighCompanyTwoPwdSqlProvider.class, method="insertSelective")
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insertSelective(HighCompanyTwoPwd record);

    @SelectProvider(type=HighCompanyTwoPwdSqlProvider.class, method="selectByExample")
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="company_id", property="companyId", jdbcType=JdbcType.BIGINT),
        @Result(column="org_id", property="orgId", jdbcType=JdbcType.BIGINT),
        @Result(column="password", property="password", jdbcType=JdbcType.VARCHAR),
        @Result(column="status", property="status", jdbcType=JdbcType.INTEGER),
        @Result(column="create_time", property="createTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="update_time", property="updateTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    List<HighCompanyTwoPwd> selectByExample(HighCompanyTwoPwdExample example);

    @Select({
        "select",
        "id, company_id, org_id, `password`, `status`, create_time, update_time, ext_1, ",
        "ext_2, ext_3",
        "from high_company_two_pwd",
        "where id = #{id,jdbcType=BIGINT}"
    })
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="company_id", property="companyId", jdbcType=JdbcType.BIGINT),
        @Result(column="org_id", property="orgId", jdbcType=JdbcType.BIGINT),
        @Result(column="password", property="password", jdbcType=JdbcType.VARCHAR),
        @Result(column="status", property="status", jdbcType=JdbcType.INTEGER),
        @Result(column="create_time", property="createTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="update_time", property="updateTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    HighCompanyTwoPwd selectByPrimaryKey(Long id);

    @UpdateProvider(type=HighCompanyTwoPwdSqlProvider.class, method="updateByExampleSelective")
    int updateByExampleSelective(@Param("record") HighCompanyTwoPwd record, @Param("example") HighCompanyTwoPwdExample example);

    @UpdateProvider(type=HighCompanyTwoPwdSqlProvider.class, method="updateByExample")
    int updateByExample(@Param("record") HighCompanyTwoPwd record, @Param("example") HighCompanyTwoPwdExample example);

    @UpdateProvider(type=HighCompanyTwoPwdSqlProvider.class, method="updateByPrimaryKeySelective")
    int updateByPrimaryKeySelective(HighCompanyTwoPwd record);

    @Update({
        "update high_company_two_pwd",
        "set company_id = #{companyId,jdbcType=BIGINT},",
          "org_id = #{orgId,jdbcType=BIGINT},",
          "`password` = #{password,jdbcType=VARCHAR},",
          "`status` = #{status,jdbcType=INTEGER},",
          "create_time = #{createTime,jdbcType=TIMESTAMP},",
          "update_time = #{updateTime,jdbcType=TIMESTAMP},",
          "ext_1 = #{ext1,jdbcType=VARCHAR},",
          "ext_2 = #{ext2,jdbcType=VARCHAR},",
          "ext_3 = #{ext3,jdbcType=VARCHAR}",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int updateByPrimaryKey(HighCompanyTwoPwd record);
}