package com.hai.dao;

import com.hai.entity.HighGasChannelConfig;
import com.hai.entity.HighGasChannelConfigExample;
import java.util.List;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.DeleteProvider;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.InsertProvider;
import org.apache.ibatis.annotations.Options;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Result;
import org.apache.ibatis.annotations.Results;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.SelectProvider;
import org.apache.ibatis.annotations.Update;
import org.apache.ibatis.annotations.UpdateProvider;
import org.apache.ibatis.type.JdbcType;
import org.springframework.stereotype.Repository;

/**
 * 
 * 代码由工具生成,请勿修改!!!
 * 如果需要扩展请在其父类进行扩展
 * 
 **/
@Repository
public interface HighGasChannelConfigMapper extends HighGasChannelConfigMapperExt {
    @SelectProvider(type=HighGasChannelConfigSqlProvider.class, method="countByExample")
    long countByExample(HighGasChannelConfigExample example);

    @DeleteProvider(type=HighGasChannelConfigSqlProvider.class, method="deleteByExample")
    int deleteByExample(HighGasChannelConfigExample example);

    @Delete({
        "delete from high_gas_channel_config",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int deleteByPrimaryKey(Long id);

    @Insert({
        "insert into high_gas_channel_config (channel_id, channel_name, ",
        "pay_platform_type, pay_platform_mer_name, ",
        "pay_platform_mer_no, profit_sharing_status, ",
        "profit_sharing_receivers_no, profit_sharing_ratio, ",
        "profit_sharing_receivers_name, `status`, ",
        "create_time, update_time, ",
        "ext_1, ext_2, ext_3)",
        "values (#{channelId,jdbcType=INTEGER}, #{channelName,jdbcType=VARCHAR}, ",
        "#{payPlatformType,jdbcType=INTEGER}, #{payPlatformMerName,jdbcType=VARCHAR}, ",
        "#{payPlatformMerNo,jdbcType=VARCHAR}, #{profitSharingStatus,jdbcType=BIT}, ",
        "#{profitSharingReceiversNo,jdbcType=VARCHAR}, #{profitSharingRatio,jdbcType=DECIMAL}, ",
        "#{profitSharingReceiversName,jdbcType=VARCHAR}, #{status,jdbcType=INTEGER}, ",
        "#{createTime,jdbcType=TIMESTAMP}, #{updateTime,jdbcType=TIMESTAMP}, ",
        "#{ext1,jdbcType=VARCHAR}, #{ext2,jdbcType=VARCHAR}, #{ext3,jdbcType=VARCHAR})"
    })
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insert(HighGasChannelConfig record);

    @InsertProvider(type=HighGasChannelConfigSqlProvider.class, method="insertSelective")
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insertSelective(HighGasChannelConfig record);

    @SelectProvider(type=HighGasChannelConfigSqlProvider.class, method="selectByExample")
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="channel_id", property="channelId", jdbcType=JdbcType.INTEGER),
        @Result(column="channel_name", property="channelName", jdbcType=JdbcType.VARCHAR),
        @Result(column="pay_platform_type", property="payPlatformType", jdbcType=JdbcType.INTEGER),
        @Result(column="pay_platform_mer_name", property="payPlatformMerName", jdbcType=JdbcType.VARCHAR),
        @Result(column="pay_platform_mer_no", property="payPlatformMerNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="profit_sharing_status", property="profitSharingStatus", jdbcType=JdbcType.BIT),
        @Result(column="profit_sharing_receivers_no", property="profitSharingReceiversNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="profit_sharing_ratio", property="profitSharingRatio", jdbcType=JdbcType.DECIMAL),
        @Result(column="profit_sharing_receivers_name", property="profitSharingReceiversName", jdbcType=JdbcType.VARCHAR),
        @Result(column="status", property="status", jdbcType=JdbcType.INTEGER),
        @Result(column="create_time", property="createTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="update_time", property="updateTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    List<HighGasChannelConfig> selectByExample(HighGasChannelConfigExample example);

    @Select({
        "select",
        "id, channel_id, channel_name, pay_platform_type, pay_platform_mer_name, pay_platform_mer_no, ",
        "profit_sharing_status, profit_sharing_receivers_no, profit_sharing_ratio, profit_sharing_receivers_name, ",
        "`status`, create_time, update_time, ext_1, ext_2, ext_3",
        "from high_gas_channel_config",
        "where id = #{id,jdbcType=BIGINT}"
    })
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="channel_id", property="channelId", jdbcType=JdbcType.INTEGER),
        @Result(column="channel_name", property="channelName", jdbcType=JdbcType.VARCHAR),
        @Result(column="pay_platform_type", property="payPlatformType", jdbcType=JdbcType.INTEGER),
        @Result(column="pay_platform_mer_name", property="payPlatformMerName", jdbcType=JdbcType.VARCHAR),
        @Result(column="pay_platform_mer_no", property="payPlatformMerNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="profit_sharing_status", property="profitSharingStatus", jdbcType=JdbcType.BIT),
        @Result(column="profit_sharing_receivers_no", property="profitSharingReceiversNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="profit_sharing_ratio", property="profitSharingRatio", jdbcType=JdbcType.DECIMAL),
        @Result(column="profit_sharing_receivers_name", property="profitSharingReceiversName", jdbcType=JdbcType.VARCHAR),
        @Result(column="status", property="status", jdbcType=JdbcType.INTEGER),
        @Result(column="create_time", property="createTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="update_time", property="updateTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    HighGasChannelConfig selectByPrimaryKey(Long id);

    @UpdateProvider(type=HighGasChannelConfigSqlProvider.class, method="updateByExampleSelective")
    int updateByExampleSelective(@Param("record") HighGasChannelConfig record, @Param("example") HighGasChannelConfigExample example);

    @UpdateProvider(type=HighGasChannelConfigSqlProvider.class, method="updateByExample")
    int updateByExample(@Param("record") HighGasChannelConfig record, @Param("example") HighGasChannelConfigExample example);

    @UpdateProvider(type=HighGasChannelConfigSqlProvider.class, method="updateByPrimaryKeySelective")
    int updateByPrimaryKeySelective(HighGasChannelConfig record);

    @Update({
        "update high_gas_channel_config",
        "set channel_id = #{channelId,jdbcType=INTEGER},",
          "channel_name = #{channelName,jdbcType=VARCHAR},",
          "pay_platform_type = #{payPlatformType,jdbcType=INTEGER},",
          "pay_platform_mer_name = #{payPlatformMerName,jdbcType=VARCHAR},",
          "pay_platform_mer_no = #{payPlatformMerNo,jdbcType=VARCHAR},",
          "profit_sharing_status = #{profitSharingStatus,jdbcType=BIT},",
          "profit_sharing_receivers_no = #{profitSharingReceiversNo,jdbcType=VARCHAR},",
          "profit_sharing_ratio = #{profitSharingRatio,jdbcType=DECIMAL},",
          "profit_sharing_receivers_name = #{profitSharingReceiversName,jdbcType=VARCHAR},",
          "`status` = #{status,jdbcType=INTEGER},",
          "create_time = #{createTime,jdbcType=TIMESTAMP},",
          "update_time = #{updateTime,jdbcType=TIMESTAMP},",
          "ext_1 = #{ext1,jdbcType=VARCHAR},",
          "ext_2 = #{ext2,jdbcType=VARCHAR},",
          "ext_3 = #{ext3,jdbcType=VARCHAR}",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int updateByPrimaryKey(HighGasChannelConfig record);
}